{ pkgs
, config, 
... }:

let
  # gitpkgs = import /home/steveej/src/github/NixOS/nixpkgs {};
  # unstablepkgs = import <nixos-unstable> {};

in {
  imports = [
    ../profiles/common.nix
    ../profiles/nix-channels.nix
    ../programs/neovim.nix
    ../programs/zsh.nix
  ];

  nixpkgs.config = {
    packageOverrides = pkgs: with pkgs; {
    };
  };

  home.sessionVariables = {
  };

  home.packages = []
    ++ (with pkgs; [
      # Authentication
      mkpasswd

      # Version Control Systems
      git-crypt
      gitFull
      mr
  ]); 
}
